/Users/bernard/b20/bsoft/src/util/timer.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/util/timer.cpp - Utilities for timing functions.

SYNOPSIS

#include 'timer.h'
#include 'utilities.h'

  Functions
double getwalltime ()
Returns the current time.
double getcputime ()
Returns the clock time.
double timer_start ()
Starts timer and prints the time.
double timer_report (double lasttime)
Reports the time elapsed since a given time.

  Variables
int verbose

Detailed Description

Utilities for timing functions.

Author:
    Bernard Heymann

Date:
    Created: 20010316

    Modified: 20100726

Definition in file timer.cpp.

Function Documentation

  double getcputime ()

Returns the clock time.

The time format is in clock seconds since the start of the process.

Parameters:
    .

Returns:
    double the clock time in seconds.

Definition at line 40 of file timer.cpp.

  double getwalltime ()

Returns the current time.

The time format is in seconds since Jan. 1, 1970, including microseconds.

Parameters:
    .

Returns:
    double the current time in seconds.

Definition at line 23 of file timer.cpp.

  double timer_report (double lasttime)

Reports the time elapsed since a given time.

Parameters:
    lasttime the given initial time.

Returns:
    double the current time.

Definition at line 67 of file timer.cpp.

  double timer_start ()

Starts timer and prints the time.

Parameters:
    .

Returns:
    double the current time.

Definition at line 52 of file timer.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.